API Reference
==============

mmseg.apis
--------------
.. automodule:: mmseg.apis
    :members:

mmseg.core
--------------

seg
^^^^^^^^^^
.. automodule:: mmseg.core.seg
    :members:

evaluation
^^^^^^^^^^
.. automodule:: mmseg.core.evaluation
    :members:

utils
^^^^^^^^^^
.. automodule:: mmseg.core.utils
    :members:

mmseg.datasets
--------------

datasets
^^^^^^^^^^
.. automodule:: mmseg.datasets
    :members:

pipelines
^^^^^^^^^^
.. automodule:: mmseg.datasets.pipelines
    :members:

mmseg.models
--------------

segmentors
^^^^^^^^^^
.. automodule:: mmseg.models.segmentors
    :members:

backbones
^^^^^^^^^^
.. automodule:: mmseg.models.backbones
    :members:

decode_heads
^^^^^^^^^^^^
.. automodule:: mmseg.models.decode_heads
    :members:

losses
^^^^^^^^^^
.. automodule:: mmseg.models.losses
    :members:
